<?php
require_once (dirname(__FILE__) . '/config.php');
require_once (dirname(__FILE__) . '/i18n.php');
ob_start("i18n");

if (isset($_REQUEST["id"])) {
 $id = $_REQUEST["id"];
} else {
 _die(500, "id parameter missing");
}

if (! is_numeric($id)) {
 _die(500, "id format corrupt [" . $id . "]");
}

header("Content-Type: text/html;charset=UTF-8");

define('MAX_WIDTH', 3000);
define('MAX_HEIGHT', 3000);
define('MAX_SIZE', 512000);
?><html>
<head>
<title>Anhang</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<style type="text/css">
body {
	text-align: center;
	font-family: Arial, Verdana, sans-serif;
	font-size: 12px;
	color: #000;
}
</style>
</head>
<body>
<?php

if (isset($_FILES['attachment']['tmp_name']) && strlen(trim($_FILES['attachment']['tmp_name'])) > 0) {
 $err = "";
 if ($_FILES['attachment']['type'] != "image/jpeg") {
  $err .= "Anhang abgelehnt, keine JPG Bilddatei<br/>";
 } else if ($_FILES['attachment']['size'] > MAX_SIZE) {
  $err .= "Anhang abgelehnt, Bilddatei zu groß (" . $_FILES['attachment']['size'] . " ist größer als " . MAX_SIZE . " Bytes)<br/>";
 } else {
  $size = getimagesize($_FILES['attachment']['tmp_name']);
  if ($size[0] > MAX_WIDTH) {
   $err .= "Bild ist zu breit (" . $size[0] . " größer als maximal erlaubte " . MAX_WIDTH . " Pixel breite)<br/>";
  }
  if ($size[1] > MAX_HEIGHT) {
   $err .= "Bild ist zu hoch (" . $size[1] . " größer als maximal erlaubte " . MAX_HEIGHT . " Pixel höhe)<br/>";
  }
  if ($size[2] != 2) {
   $err .= "Anhang abgelehnt, keine JPG Bilddatei<br/>";
  }
 }
 if ($err == "") {
  if (! move_uploaded_file($_FILES['attachment']['tmp_name'], dirname(__FILE__) . '/data/staging/' . $id . '.jpg')) {
   echo ("Speichern des Anhangs fehlgeschlagen<br/>");
  }
 } else {
  echo ($err);
 }
} else { // Anhang löschen
 if (file_exists(dirname(__FILE__) . '/data/staging/' . $id . '.jpg')) {
  unlink(dirname(__FILE__) . '/data/staging/' . $id . '.jpg');
 }
}
?>
<form action="attachment.php" method="post"
		enctype="multipart/form-data">
	<input name="id" type="hidden" value="<?php echo($id); ?>" />
	<input name="lang" type="hidden" value="<?php echo($lang); ?>" />
<?php
if (file_exists(dirname(__FILE__) . '/data/staging/' . $id . '.jpg')) {
 echo ('Den Anhang wieder <button onclick="javascript:this.form.submit();">Löschen</button> oder die JPG Bilddatei austauschen:');
} else {
 echo ('Wählen Sie eine JPG Bilddatei von Ihrem Rechner aus:');
}
?>
<br /> <input name="attachment" type="file" size="50" maxlength="500000"
			accept="image/jpeg" onchange="javascript:this.form.submit();"
			style="width: 200px;" />
	</form>
</body>
</html>
